# Uses of Interface
org.eclipse.ui.navigator.IExtensionStateModel

Packages that use IExtensionStateModel
Package
Description
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of IExtensionStateModel in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping that return IExtensionStateModel
Modifier and Type
Method
Description
`protected final IExtensionStateModel`
SynchronizationActionProvider.`getExtensionStateModel()`
Return the extension state model for the content provider associated with action provider.

## Uses of IExtensionStateModel in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return IExtensionStateModel
Modifier and Type
Method
Description
`IExtensionStateModel`
INavigatorContentService.`findStateModel(String anExtensionId)`
The state model stores properties associated with the extension.
`IExtensionStateModel`
ICommonActionExtensionSite.`getExtensionStateModel()`
By default, the extension state model returned is for the associated content extension (if this is NOT a top-level action provider).
`IExtensionStateModel`
ICommonContentExtensionSite.`getExtensionStateModel()`
The extension state model allows an extension to isolate all of the dynamic state information that affects how it presents content or displays actions.
`IExtensionStateModel`
INavigatorContentExtension.`getStateModel()`